package de.ozgcloud.formcycle.errorhandling;

import static de.ozgcloud.formcycle.errorhandling.EWorkflowElementNodeError.*;

import java.io.IOException;

import com.alibaba.fastjson.JSONObject;

import de.xima.fc.exceptions.NodeThrewException;
import de.xima.fc.interfaces.workflow.params.INodeThrewExceptionBuilder;
import lombok.RequiredArgsConstructor;

@RequiredArgsConstructor
public class NodeThrewExceptionFactory {

	static final String ERROR_MESSAGE_KEY = "message";

	private final INodeThrewExceptionBuilder exceptionBuilder;

	public NodeThrewException createCannotSendException(String message, IOException cause) {
		final var data = new JSONObject();
		data.put(ERROR_MESSAGE_KEY, message);
		return exceptionBuilder.error(OZGCLOUD_CANNOT_SEND.name(), data).cause(cause).build();
	}

	public NodeThrewException createCannotGetAttachmentException(String message) {
		final var data = new JSONObject();
		data.put(ERROR_MESSAGE_KEY, message);
		return exceptionBuilder.error(PLUGIN_CANNOT_GET_ATTACHMENT.name(), data).build();
	}
}
