package de.ozgcloud.formcycle.formdata;

import java.util.ArrayList;
import java.util.List;

import lombok.AccessLevel;
import lombok.Builder;
import lombok.Getter;
import lombok.Setter;

@Setter
@Getter
@Builder
class FormNode {

	private String itemId;
	private String name;
	private String title;
	private List<String> values;
	@Getter(AccessLevel.NONE)
	private List<FormNode> nestedElements;

	public List<FormNode> getNestedElements() {
		if (nestedElements == null) {
			nestedElements = new ArrayList<>();
		}
		return nestedElements;
	}

	public boolean isContainer() {
		return !getNestedElements().isEmpty();
	}

}
